#
# spec file for package mule-ucs (Version 0.83)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         mule-ucs
Summary:      Unicode Extensions for Multilingually Enhanced Emacs
Version:      0.83
Release:      107
Group:      Applications/Editors/Emacs
Requires:   emacs
#Provides:   emacs-unicode
Conflicts:  emacs-oc-unicode	
Copyright:  GPL
URL: http://www.m17n.org/
Source: ftp://ftp.m17n.org/pub/mule/Mule-UCS/Mule-UCS-0.83.tar.bz2
Source1: suse-start.el
%define emacs_sitelisp_dir %{_datadir}/emacs/site-lisp
%define emacs_package_dir %{emacs_sitelisp_dir}/%{name}
BuildRoot:  /var/tmp/%{name}-root

%description
This package offers Unicode encoding for Emacs.
Contrasting with the alternative package emacs-oc-unicode,
this one uses legacy Mule fonts to display Unicode text.
Therefore it is very well tested and usable.

Authors:
--------
    MIYASHITA Hisashi <himi@bird.scphys.kyoto-u.ac.jp>

SuSE series: e

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n Mule-UCS-%{version}
cp -p $RPM_SOURCE_DIR/suse-start.el .

%build
# CFLAGS=$RPM_OPT_FLAGS \
# ./configure --prefix=/usr
# make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
# export LC_CTYPE=ISO-8859-1
# export EMACS_UNIBYTE=1
emacs --no-init --no-site -batch -l mucs-comp.el

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   %{INSTALL_DIR} $RPM_BUILD_ROOT%{emacs_package_dir}
fi
# make install prefix=$RPM_BUILD_ROOT/usr
# %{INSTALL_DATA} oc-unicode.el oc-charsets.el oc-tools.el \
#   $RPM_BUILD_ROOT%{emacs_package_dir}
%{INSTALL_DATA} lisp/*.el{,c} $RPM_BUILD_ROOT%{emacs_package_dir}
{
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{emacs_package_dir}\")"
  echo ""
  cat suse-start.el
  echo ""
  echo ";; %{emacs_sitelisp_dir}/suse-start-%{name}.el ends here"
} > %{buildroot}%{emacs_sitelisp_dir}/suse-start-%{name}.el
# %clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc lisp/README*
%doc doc
%{emacs_package_dir}
%config %{emacs_sitelisp_dir}/suse-start-%{name}.el
# spec file ends here

%changelog -n mule-ucs
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 16 2001 - phm@suse.de
- created new package mule-ucs-0.83 as an alternative to
  emacs-oc-unicode
